Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1093)

Unified Diff: build/android/buildbot/buildbot_functions.sh

Issue 15261003: Add a new script bb_host_steps.py which handles all host side steps. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: yet another rebase Created 7 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « build/android/buildbot/bb_utils.py ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build/android/buildbot/buildbot_functions.sh
diff --git a/build/android/buildbot/buildbot_functions.sh b/build/android/buildbot/buildbot_functions.sh
index b674af3f50e2c54cd6c39b500e49fd33bf720c12..f6f76290b6e4e8695386b5ef6da02af797e60249 100755
--- a/build/android/buildbot/buildbot_functions.sh
+++ b/build/android/buildbot/buildbot_functions.sh
@@ -44,7 +44,6 @@ function bb_baseline_setup {
shift
cd $SRC_ROOT
- echo "@@@BUILD_STEP Environment setup@@@"
bb_parse_args "$@"
export GYP_GENERATORS=ninja
@@ -84,142 +83,6 @@ function bb_baseline_setup {
fi
}
-function bb_asan_tests_setup {
- # Download or build the ASan runtime library.
- ${SRC_ROOT}/tools/clang/scripts/update.sh
-}
-
-# Setup goma. Used internally to buildbot_functions.sh.
-function bb_setup_goma_internal {
- echo "Killing old goma processes"
- ${GOMA_DIR}/goma_ctl.sh stop || true
- killall -9 compiler_proxy || true
-
- echo "Starting goma"
- export GOMA_API_KEY_FILE=${GOMA_DIR}/goma.key
- ${GOMA_DIR}/goma_ctl.sh start
- trap bb_stop_goma_internal SIGHUP SIGINT SIGTERM
-}
-
-# Stop goma.
-function bb_stop_goma_internal {
- echo "Stopping goma"
- ${GOMA_DIR}/goma_ctl.sh stop
-}
-
-# Build using ninja.
-function bb_goma_ninja {
- echo "Using ninja to build."
- local TARGET=$1
- bb_setup_goma_internal
- ninja -C out/$BUILDTYPE -j120 -l20 $TARGET
- bb_stop_goma_internal
-}
-
-# Compile step
-function bb_compile {
- # This must be named 'compile' for CQ.
- echo "@@@BUILD_STEP compile@@@"
- gclient runhooks
- bb_goma_ninja All
-}
-
-# Experimental compile step; does not turn the tree red if it fails.
-function bb_compile_experimental {
- # Linking DumpRenderTree appears to hang forever?
- EXPERIMENTAL_TARGETS="android_experimental"
- for target in ${EXPERIMENTAL_TARGETS} ; do
- echo "@@@BUILD_STEP Experimental Compile $target @@@"
- set +e
- bb_goma_ninja "${target}"
- if [ $? -ne 0 ] ; then
- echo "@@@STEP_WARNINGS@@@"
- fi
- set -e
- done
-}
-
-# Run findbugs.
-function bb_run_findbugs {
- echo "@@@BUILD_STEP findbugs@@@"
- if [[ $BUILDTYPE = Release ]]; then
- local BUILDFLAG="--release-build"
- fi
- bb_run_step build/android/findbugs_diff.py $BUILDFLAG
- bb_run_step tools/android/findbugs_plugin/test/run_findbugs_plugin_tests.py \
- $BUILDFLAG
-}
-
-# Run a buildbot step and handle failure (failure will not halt build).
-function bb_run_step {
- (
- set +e
- "$@"
- if [[ $? != 0 ]]; then
- echo "@@@STEP_FAILURE@@@"
- fi
- )
-}
-
-# Zip and archive a build.
-function bb_zip_build {
- echo "@@@BUILD_STEP Zip build@@@"
- python ../../../../scripts/slave/zip_build.py \
- --src-dir "$SRC_ROOT" \
- --build-dir "out" \
- --exclude-files "lib.target,gen,android_webview,jingle_unittests" \
- --factory-properties "$FACTORY_PROPERTIES" \
- --build-properties "$BUILD_PROPERTIES"
-}
-
-# Download and extract a build.
-function bb_extract_build {
- echo "@@@BUILD_STEP Download and extract build@@@"
- if [[ -z $FACTORY_PROPERTIES || -z $BUILD_PROPERTIES ]]; then
- return 1
- fi
-
- # When extract_build.py downloads an unversioned build it
- # issues a warning by exiting with large numbered return code
- # When it fails to download it build, it exits with return
- # code 1. We disable halt on error mode and return normally
- # unless the python tool returns 1.
- (
- set +e
- python ../../../../scripts/slave/extract_build.py \
- --build-dir "$SRC_ROOT/build" \
- --build-output-dir "../out" \
- --factory-properties "$FACTORY_PROPERTIES" \
- --build-properties "$BUILD_PROPERTIES"
- local extract_exit_code=$?
- if (( $extract_exit_code > 1 )); then
- echo "@@@STEP_WARNINGS@@@"
- return
- fi
- return $extract_exit_code
- )
-}
-
-# Runs the license checker for the WebView build.
-# License checker may return error code 1 meaning that
-# there are non-fatal problems (warnings). Everything
-# above 1 is considered to be a show-stopper.
-function bb_check_webview_licenses {
- echo "@@@BUILD_STEP Check licenses for WebView@@@"
- (
- set +e
- cd "${SRC_ROOT}"
- python android_webview/tools/webview_licenses.py scan
- local licenses_exit_code=$?
- if [[ $licenses_exit_code -eq 1 ]]; then
- echo "@@@STEP_WARNINGS@@@"
- elif [[ $licenses_exit_code -gt 1 ]]; then
- echo "@@@STEP_FAILURE@@@"
- fi
- return 0
- )
-}
-
# Retrieve a packed json property using python
function bb_get_json_prop {
local JSON="$1"
« no previous file with comments | « build/android/buildbot/bb_utils.py ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698